package com.red.circle.other.app.inner.service.approval;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.approval.ApprovalDynamicCmd;
import com.red.circle.other.inner.model.cmd.approval.ApprovalDynamicContentCmd;
import com.red.circle.other.inner.model.cmd.approval.ApprovalDynamicQryCmd;
import com.red.circle.other.inner.model.dto.approval.ApprovalDynamicDTO;
import java.util.Set;

/**
 * 审批动态
 * @author zongpubin on 2024/1/19
 */
public interface ApprovalDynamicClientService {

  PageResult<ApprovalDynamicDTO> pageApprovalDynamic(ApprovalDynamicQryCmd query);

  void approvalPass(Set<Long> ids);

  void approvalNotPass(ApprovalDynamicCmd approvalDynamicCmd);

  void save(ApprovalDynamicContentCmd cmd);
}
